DH-MAKE-R(1)

NAME
dh-make-R - prepare Debian packaging for an original source archive of R software

SYNOPSIS
dh-make-R [--help] [--team TEAM] [--repo REPO] [--tests TEST1[,TEST2]]

DESCRIPTION
dh-make-R is a tool to convert a regular source code package with R code (from CRAN, BioConductor or other source) into one formatted according to the requirements of the Debian R Policy. Dh-make-R must be invoked within a directory containing the source code.

OPTIONS

--help
    Print this help message.

--team
    Generate default maintainer, uploaders, VCS URLs for the given packaging team. Understood values are "science" and "med" for debian-science and debian-med respectively.

--repo
    Set the R repository (used in the package name), overriding automatic detection.

--tests Comma-separated list of test templates to generate. Understood

    values are "generic" (run tests/*.R), "run-unit-test" (installs tests as documentation, can be run outside autopkgtest), "bioc" (runs BiocGenerics::testPackage) and "vignette" (attempts to rebuild documentation).

AUTHOR
This manpage was written by Andreas Tille.